Subject: Re: bug#6685: 23.2; Discards control characters during boot.

From: Andrew Hyatt <[email-masked]>
Date: Sat, 10 Sep 2016 23:53:03 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Andrew Hyatt <[email-masked]>
>> Date: Fri, 09 Sep 2016 20:32:57 +0000
>> Cc: [email-masked], [email-masked]
>> 
>>  > I was trying to reproduce this in Emacs 25, but emacsclient will not
>>  > start up a new emacs instance with emacsclient. According to the
>>  > documentation I have on emacsclient on using the alternative editor
>>  > flag:
>>  >
>>  > If the value of EDITOR is the empty string, run "emacs --daemon" to
>>  > start Emacs in daemon mode, and try to connect to it.
>>  >
>>  > So I can't reproduce this issue anymore. Let me know if I'm missing
>>  > something, please.
>> 
>>  Sorry, I don't understand what you are saying. Starting the daemon
>>  with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it
>>  no longer works, although the documentation still says it should? It
>>  certainly works for me, if I understood correctly what you described.
>> 
>> It doesn't work for me for some reason, and the documentation seems to imply
>> that it shouldn't work. If using
>> ALTERNATIVE_EDITOR="" started emacs in daemon mode, why would the
>> documentation tell the user to
>> run the "emacs --daemon" manually? Instead, what I get when I don't have an
>> emacs in daemon mode, is just
>> emacsclient telling me there's no emacs daemon running.
>> 
>> Judging by your response, I feel I must be misunderstanding something, but I
>> don't know what.
>
> What happens if you try this command on your system?  That is, if you
> type
>
>   ALTERNATE_EDITOR='' emacsclient -t -c
>
> What I see on a typical GNU/Linux system is this:
>
>   /home/e/eliz/emacs-current/lib-src/emacsclient: can't find socket; have you
> started the server?
>   To start the server in Emacs, type "M-x server-start".
>
>   Warning: due to a long standing Gtk+ bug
>   http://bugzilla.gnome.org/show_bug.cgi?id=85715
>   Emacs might crash when run in daemon mode and the X11 connection is
> unexpectedly lost.
>   Using an Emacs configured with --with-x-toolkit=lucid does not have this
> problem.
>   ("emacs")
>   Loading 00debian-vars...
>   [More packages loading from the site-init file...]
>   Starting Emacs daemon.
>   Restarting server
>   Emacs daemon should have started, trying to connect again
>
> and then I see an Emacs frame (in text mode in this case, since -t was
> used) open.  As you see, after warning me about no daemon running,
> emacsclient starts a new daemon, then attempts to reconnect to it.
>
> What happens if you try that?

Yes, you are correct - I must have had a typo.  When I tried it again
today, it works as you describe, and I was able to reproduce the
original bug.  Thanks for the help.

I still think the manual seems to say this shouldn't be expected to
work, which is odd.